"Fossies" - the Fresh Open Source Software Archive  

Source code changes of the file "examples/apache-httpd/httpd-master.honggfuzz.patch" between
honggfuzz-2.1.tar.gz and honggfuzz-2.2.tar.gz

About: honggfuzz is a security oriented, feedback-driven, evolutionary, easy-to-use fuzzer with powerful analysis options.

httpd-master.honggfuzz.patch  (honggfuzz-2.1):httpd-master.honggfuzz.patch  (honggfuzz-2.2)
diff --git a/configure.in b/configure.in diff --git a/configure.in b/configure.in
index b20aad0..eec5ba2 100644 index 423d58d..4beea8c 100644
--- a/configure.in --- a/configure.in
+++ b/configure.in +++ b/configure.in
@@ -725,7 +725,7 @@ AC_MSG_CHECKING([for Check to enable unit tests]) @@ -769,7 +769,7 @@ AC_MSG_CHECKING([for Check to enable unit tests])
if test "x$PKGCONFIG" != "x" && `$PKGCONFIG --atleast-version='0.9.12' check`; if test "x$PKGCONFIG" != "x" -a "$ap_reduced_exports" = "no" && `$PKGCONFIG --a
then tleast-version='0.9.12' check`; then
UNITTEST_CFLAGS=`$PKGCONFIG --cflags check` UNITTEST_CFLAGS=`$PKGCONFIG --cflags check`
UNITTEST_LIBS=`$PKGCONFIG --libs check` UNITTEST_LIBS=`$PKGCONFIG --libs check`
- other_targets="$other_targets test/httpdunit" - other_targets="$other_targets test/httpdunit"
+ other_targets="$other_targets" + other_targets="$other_targets"
AC_MSG_RESULT([yes]) AC_MSG_RESULT([yes])
else else
diff --git a/hfuzz.compile_and_install.asan.sh b/hfuzz.compile_and_install.asan. sh diff --git a/hfuzz.compile_and_install.asan.sh b/hfuzz.compile_and_install.asan. sh
new file mode 100755 new file mode 100755
index 0000000..f8a9a41 index 0000000..ad24349
--- /dev/null --- /dev/null
+++ b/hfuzz.compile_and_install.asan.sh +++ b/hfuzz.compile_and_install.asan.sh
@@ -0,0 +1,63 @@ @@ -0,0 +1,63 @@
+#!/bin/sh +#!/bin/sh
+ +
+set -ex +set -ex
+ +
+# Directory with honggfuzz installation +# Directory with honggfuzz installation
+HFUZZ_DIR="/home/jagger/src/honggfuzz" +HFUZZ_DIR="/home/jagger/src/honggfuzz"
+# Change this to a directory where apache should be installed into +# Change this to a directory where apache should be installed into
+INSTALL_PREFIX="$(realpath "$PWD/../dist")" +INSTALL_PREFIX="$(realpath "$PWD/../dist")"
+NGHTTP2_VER=1.33.0 +NGHTTP2_VER=1.40.0
+APR_VER=1.6.5 +APR_VER=1.7.0
+APR_UTIL_VER=1.6.1 +APR_UTIL_VER=1.6.1
+CFLAGS_SAN="-fsanitize=address -O3 -ggdb" +CFLAGS_SAN="-fsanitize=address -O3 -ggdb"
+# Another viable option: few +# Another viable option: few
+APACHE_MODULES=most +APACHE_MODULES=most
+ +
+NGHTTP2_PATH="$(realpath "$PWD/../nghttp2-$NGHTTP2_VER")/" +NGHTTP2_PATH="$(realpath "$PWD/../nghttp2-$NGHTTP2_VER")/"
+APR_PATH="$(realpath "$PWD/../apr-$APR_VER")" +APR_PATH="$(realpath "$PWD/../apr-$APR_VER")"
+APR_UTIL_PATH="$(realpath "$PWD/../apr-util-$APR_UTIL_VER")/" +APR_UTIL_PATH="$(realpath "$PWD/../apr-util-$APR_UTIL_VER")/"
+ +
+export CC="$HFUZZ_DIR/hfuzz_cc/hfuzz-clang" +export CC="$HFUZZ_DIR/hfuzz_cc/hfuzz-pcguard-clang"
+export CXX="$HFUZZ_DIR/hfuzz_cc/hfuzz-clang++" +export CXX="$HFUZZ_DIR/hfuzz_cc/hfuzz-pcguard-clang++"
+ +
export <span class="insert">CXX="$HFUZZ_DIR/hfuzz_cc/hfuzz-pcguard-clang++"</spa n>
+echo "Compiling APR" +echo "Compiling APR"
+cd "$APR_PATH" +cd "$APR_PATH"
+CFLAGS="$CFLAGS_SAN" ./configure --disable-shared --enable-static +CFLAGS="$CFLAGS_SAN" ./configure --disable-shared --enable-static
+make clean +make clean
+make -j$(nproc) +make -j$(nproc)
+cd - +cd -
+ +
+echo "Compiling APR-UTIL" +echo "Compiling APR-UTIL"
+cd "$APR_UTIL_PATH" +cd "$APR_UTIL_PATH"
skipping to change at line 84 skipping to change at line 84
+ --enable-unixd \ + --enable-unixd \
+ --disable-pie \ + --disable-pie \
+ --disable-ssl \ + --disable-ssl \
+ --enable-mods-static=$APACHE_MODULES \ + --enable-mods-static=$APACHE_MODULES \
+ --with-apr="$APR_PATH" \ + --with-apr="$APR_PATH" \
+ --with-apr-util="$APR_UTIL_PATH" + --with-apr-util="$APR_UTIL_PATH"
+make clean +make clean
+make -j$(nproc) +make -j$(nproc)
+make install +make install
diff --git a/modules/generators/mod_autoindex.c b/modules/generators/mod_autoind ex.c diff --git a/modules/generators/mod_autoindex.c b/modules/generators/mod_autoind ex.c
index c887056..1be2d16 100644 index 21fc59a..3c67164 100644
--- a/modules/generators/mod_autoindex.c --- a/modules/generators/mod_autoindex.c
+++ b/modules/generators/mod_autoindex.c +++ b/modules/generators/mod_autoindex.c
@@ -1907,6 +1907,8 @@ static void output_directories(struct ent **ar, int n, @@ -1907,6 +1907,8 @@ static void output_directories(struct ent **ar, int n,
static int dsortf(struct ent **e1, struct ent **e2) static int dsortf(struct ent **e1, struct ent **e2)
{ {
+ return 0; + return 0;
+ +
struct ent *c1; struct ent *c1;
struct ent *c2; struct ent *c2;
int result = 0; int result = 0;
diff --git a/server/request.c b/server/request.c diff --git a/server/request.c b/server/request.c
index 70812fe..b62272e 100644 index a448fa7..c4785d4 100644
--- a/server/request.c --- a/server/request.c
+++ b/server/request.c +++ b/server/request.c
@@ -1393,7 +1393,7 @@ AP_DECLARE(int) ap_directory_walk(request_rec *r) @@ -1401,7 +1401,7 @@ AP_DECLARE(int) ap_directory_walk(request_rec *r)
return OK; return OK;
} }
- -
+__attribute__((no_sanitize("memory"))) +__attribute__((no_sanitize("memory")))
AP_DECLARE(int) ap_location_walk(request_rec *r) AP_DECLARE(int) ap_location_walk(request_rec *r)
{ {
ap_conf_vector_t *now_merged = NULL; ap_conf_vector_t *now_merged = NULL;
diff --git a/server/util_pcre.c b/server/util_pcre.c diff --git a/server/util_pcre.c b/server/util_pcre.c
index 8254cc4..ef70c43 100644 index fedf6e6..053eb77 100644
--- a/server/util_pcre.c --- a/server/util_pcre.c
+++ b/server/util_pcre.c +++ b/server/util_pcre.c
@@ -388,6 +388,7 @@ AP_DECLARE(int) ap_regexec_len(const ap_regex_t *preg, const char *buff, @@ -390,6 +390,7 @@ AP_DECLARE(int) ap_regexec_len(const ap_regex_t *preg, const char *buff,
} }
} }
+__attribute__((no_sanitize("memory"))) +__attribute__((no_sanitize("memory")))
AP_DECLARE(int) ap_regname(const ap_regex_t *preg, AP_DECLARE(int) ap_regname(const ap_regex_t *preg,
apr_array_header_t *names, const char *prefix, apr_array_header_t *names, const char *prefix,
int upper) int upper)
 End of changes. 11 change blocks. 
14 lines changed or deleted 15 lines changed or added

Home  |  About  |  Features  |  All  |  Newest  |  Dox  |  Diffs  |  RSS Feeds  |  Screenshots  |  Comments  |  Imprint  |  Privacy  |  HTTP(S)